{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"RightToSignRecord":{"properties":{"changeDate":{"description":"Date for latest change on signing rights for company","type":"string"},"companyId":{"description":"Company identifier","type":"string"},"personalNumber":{"description":"Personal number controled for signing rights","type":"string"},"signingRight":{"description":"Enum describing signing right","enum":["ALONE","TOGETHER","NONE"],"type":"string"}},"type":"object"},"RightToSignWrapper":{"properties":{"records":{"items":{"$ref":"#/components/schemas/RightToSignRecord"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Right To Sign Service provides answer whether a person has individual signing right\n\nThe service is used to automate the verification that the right people are entitled to sign a company at a given time. Examples of applications are when signing agreements, creating accounts or automated customer registrations.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Right To Sign","version":"2.0","x-logo":{"url":"https://assets.roaring.io/svg/right-to-sign-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}/person/{personalNumber}":{"get":{"description":"It supports date parameter","operationId":"view","parameters":[{"description":"Company identification for the company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"Personal identification number for person to find signing right for","in":"path","name":"personalNumber","required":true,"schema":{"type":"string"}},{"description":"Date in format yyyy-mm-dd which limits search up to","in":"query","name":"asOfDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RightToSignWrapper"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Check if person is entitled to sign a company","tags":["RightToSign"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/company/right-to-sign/2.0"}],"x-category":"person","x-countries":["se"],"x-id":"RightToSign","x-locale-en":{"description":"Check if a person has Signatory Right in a company","name":"Signatory Right"},"x-locale-no":{"description":"Sjekk om en person har Signaturrett i et selskap","name":"Signaturrett"},"x-locale-sv":{"description":"Kontrollera att en person har Firmatecknarrätt i ett företag","name":"Firmatecknarrätt"},"x-logo":{"url":"https://s3-eu-west-1.amazonaws.com/roaring-assets/svg/signing-combinations.svg"}}